<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Objetos</title>
</head>
<body>
    <h1>Objetos</h1>
    <script>
        //Colección de información compuesta por claves y valores. 
        //Objeto vacío no tiene nada
        let auto = {
            //Clave  :   Valor
            //Key    :   Value
            "marca":"Ford",
            "modelo": "Ecosport",
            "anio":2000,
            color: ["verde", "azul", "negro", "gris"],
            arrancar : function(){
               console.log("Arranco el auto " + this.marca + " " + this.modelo);
            },

            parar : function (){
                console.log("Paro el auto");
            },

            contacto : {
                nombre : "Alberto Miranda",
                email : "alberto@gmail.com",
                // para : "Alberto es el contacto para Ford Ranger"
                para : function () {
                    console.log(`Este es el contacto: ${this.nombre}`);

                }
            }

        };

        //La forma más viejita
        console.log(auto["anio"]);

        //Forma más nueva
        console.log(auto.marca);
        console.log(auto);
        console.table(auto);

        console.log(auto);
        console["log"]("Mensaje");
        auto.arrancar();
        auto.parar();
        console.log(auto.contacto.email);
        auto.contacto.para();

    </script>
    
</body>
</html>